summaryrefslogtreecommitdiff
path: root/contrib/ffmpeg/tests/Makefile
diff options
context:
space:
mode:
authorDiego 'Flameeyes' Pettenò <flameeyes@gmail.com>2007-04-03 01:18:24 +0200
committerDiego 'Flameeyes' Pettenò <flameeyes@gmail.com>2007-04-03 01:18:24 +0200
commitfb09531720a4aa2dfa97e5a9a246a453b6278fd2 (patch)
tree61525c3a8ddb419d3838a26e488fc3659079bbcd /contrib/ffmpeg/tests/Makefile
parent294d01046724e28b7193bcb65bf2a0391b0135b6 (diff)
downloadxine-lib-fb09531720a4aa2dfa97e5a9a246a453b6278fd2.tar.gz
xine-lib-fb09531720a4aa2dfa97e5a9a246a453b6278fd2.tar.bz2
Sync with a more recent version of FFmpeg.
Diffstat (limited to 'contrib/ffmpeg/tests/Makefile')
-rw-r--r--contrib/ffmpeg/tests/Makefile33
1 files changed, 28 insertions, 5 deletions
diff --git a/contrib/ffmpeg/tests/Makefile b/contrib/ffmpeg/tests/Makefile
index c4c6925f8..3417c687e 100644
--- a/contrib/ffmpeg/tests/Makefile
+++ b/contrib/ffmpeg/tests/Makefile
@@ -6,6 +6,7 @@ include ../config.mak
VPATH=$(SRC_PATH_BARE)/tests
SRC_DIR=$(SRC_PATH)/tests
+BUILD_DIR=$(BUILD_ROOT)/tests
CFLAGS=-O2 -Wall -g
REFFILE1=$(SRC_DIR)/ffmpeg.regression.ref
@@ -15,9 +16,15 @@ SERVER_REFFILE=$(SRC_DIR)/ffserver.regression.ref
LIBAV_REFFILE=$(SRC_DIR)/libav.regression.ref
-all fulltest test: codectest libavtest test-server
+SEEK_REFFILE=$(SRC_DIR)/seek.regression.ref
+
+all fulltest test: codectest libavtest
test-server: vsynth1/00.pgm asynth1.sw
+ @echo
+ @echo "Unfortunately ffserver is broken and therefore its regression"
+ @echo "test fails randomly. Treat the results accordingly."
+ @echo
@$(SRC_DIR)/server-regression.sh $(SERVER_REFFILE) $(SRC_DIR)/test.conf
# fast regression tests for all codecs
@@ -36,15 +43,27 @@ libavtest:
@echo
endif
+ifeq ($(CONFIG_SWSCALER),yes)
+test-server codectest mpeg4 mpeg ac3 snow snowll libavtest: swscale_error
+swscale_error:
+ @echo
+ @echo "This regression test is incompatible with --enable-swscaler."
+ @echo
+ @exit 1
+endif
+
+seektest: seek_test$(EXESUF)
+ @$(SRC_DIR)/seek_test.sh $(SEEK_REFFILE)
+
# video generation
vsynth1/00.pgm: videogen$(EXESUF)
@mkdir -p vsynth1
- ./videogen 'vsynth1/'
+ $(BUILD_DIR)/$< 'vsynth1/'
vsynth2/00.pgm: rotozoom$(EXESUF)
@mkdir -p vsynth2
- ./rotozoom 'vsynth2/' $(SRC_DIR)/lena.pnm
+ $(BUILD_DIR)/$< 'vsynth2/' $(SRC_DIR)/lena.pnm
videogen$(EXESUF): videogen.c
$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<
@@ -55,7 +74,7 @@ rotozoom$(EXESUF): rotozoom.c
# audio generation
asynth1.sw: audiogen$(EXESUF)
- ./audiogen $@
+ $(BUILD_DIR)/$< $@
audiogen$(EXESUF): audiogen.c
$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<
@@ -63,6 +82,10 @@ audiogen$(EXESUF): audiogen.c
tiny_psnr$(EXESUF): tiny_psnr.c
$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<
+#FIXME cleanup shit below
+seek_test$(EXESUF): seek_test.c
+ $(CC) $(LDFLAGS) $(CFLAGS) -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavformat/ -I$(SRC_PATH)/libavcodec/ -I$(SRC_PATH)/libavutil/ -o $@ $< $(SRC_PATH)/libavformat/libavformat.a $(SRC_PATH)/libavcodec/libavcodec.a $(SRC_PATH)/libavutil/libavutil.a $(EXTRALIBS)
+
DSPDEPS = $(SRC_PATH)/libavcodec/i386/dsputil_mmx.c \
$(SRC_PATH)/libavcodec/i386/dsputil_mmx_avg.h \
$(SRC_PATH)/libavcodec/i386/dsputil_mmx_rnd.h \
@@ -87,5 +110,5 @@ distclean clean:
rm -rf vsynth1 vsynth2 data
rm -f asynth1.sw *~ audiogen$(EXESUF) videogen$(EXESUF) rotozoom$(EXESUF) tiny_psnr$(EXESUF)
-.PHONY: all fulltest test codectest libavtest test-server
+.PHONY: all fulltest test codectest libavtest test-server seektest
.PHONY: mpeg4 mpeg ac3 snow snowll distclean clean